POST
Transfers/wallets/pay-merchantالدفع لمحفظة تاجر
ينفذ تحويلًا من محفظة مستخدم إلى محفظة تاجر.
مستوى الوصولcustomerالحد20/minمنع التكرارbody:idempotency_keyالمصادقةBearerAuth
المصدر
LuxApi/app/Http/Controllers/Api/WalletApiController.php::payMerchantLuxPayProjects @ 146e98baa44eالمعاملات
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...جسم الطلب
MerchantPaymentRequestإلزامي
source_wallet_idinteger
destination_wallet_idinteger
amountnumber
currency_codestring
idempotency_keystring
descriptionstring | null
JSON example
{
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"description": "string"
}أمثلة الكود
العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/wallets/pay-merchant' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"description": "string"
}'الاستجابات
200Successful response.
statusboolean
Example:
truemessagestring | null
dataTransfer
{
"status": true,
"message": "string",
"data": {
"uuid": "00000000-0000-4000-8000-000000000001",
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"fee_amount": 1,
"status": "string",
"idempotency_key": "string"
}
}